#
# spec file for package yast2-iscsi-server (Version 2.13.26)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost boost-devel bzip2 coreutils cpio cpp cracklib curl curl-devel cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dejagnu desktop-translations diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpg gpm grep groff gzip hal hal-devel hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libgssapi libicu libidn libidn-devel libmudflap libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel libxslt liby2util libzio libzypp libzypp-devel m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre perl perl-XML-Writer perl-gettext permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm rpm-devel sed sgml-skel strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-devtools yast2-hardware-detection yast2-perl-bindings yast2-pkg-bindings yast2-testsuite zlib zlib-devel


Name:           yast2-iscsi-server
Version:        2.13.26
Release:        0.3
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-iscsi-server-2.13.26.tar.bz2
Prefix:         /usr
BuildRequires:  docbook-xsl-stylesheets doxygen libxslt perl-XML-Writer popt-devel sgml-skel update-desktop-files yast2 yast2-devtools yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite
Requires:       yast2
BuildArch:      noarch
Summary:        Configuration of iscsi-client

%description
Configuration of iscsi-client



%debug_package
%prep
%setup -n yast2-iscsi-server-2.13.26

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/iscsi-server
/usr/share/YaST2/include/iscsi-server/*
/usr/share/YaST2/clients/iscsi-server.ycp
/usr/share/YaST2/clients/iscsi-server_*.ycp
/usr/share/YaST2/modules/IscsiServer*
%{prefix}/share/applications/YaST2/iscsi-server.desktop
/usr/share/YaST2/scrconf/ietd.scr
%doc %{prefix}/share/doc/packages/yast2-iscsi-server

%changelog
* Thu Jan 10 2008 - mzugec@suse.de
- added support for iSNS (FaTE #302083)
- 2.13.26
* Tue Mar 06 2007 - mzugec@suse.cz
- iscsi-server writes to stdout (#250628)
* Wed Feb 07 2007 - mzugec@suse.de
- disable edit and delete buttons in empty table (#241804)
- 2.13.25
* Mon Feb 05 2007 - mzugec@suse.de
- remove spaces as separators between parameters in /etc/ietd.conf (#239555)
- 2.13.24
* Mon Jan 15 2007 - mzugec@suse.cz
- fate #300631 - Support Several LUNs for Target
* Thu Jun 01 2006 - mzugec@suse.cz
- fixed #180205 - because of gettext problem, one string wasn't mark for translation
* Fri May 19 2006 - mzugec@suse.cz
- fixed #177060 incorrect storing data between dialogs
* Thu May 18 2006 - mzugec@suse.cz
- fixed #176724 - duplicates configuration entry
* Thu May 18 2006 - mzugec@suse.cz
- fixed #148968 - do not restart unchanged targets
* Wed May 17 2006 - mzugec@suse.cz
- fixed #176186 - service status after YaST2 exit
* Tue May 09 2006 - mzugec@suse.cz
- fixed #173818 - support for autoyast
* Mon Apr 24 2006 - mzugec@suse.cz
- fixed #168732 - deleted values from auth are stored
* Mon Apr 24 2006 - mzugec@suse.cz
- comments, logs, testsuite
* Tue Apr 11 2006 - mzugec@suse.cz
- fixed #157643 - reload server
* Fri Apr 07 2006 - mzugec@suse.cz
- fixed #163999 - iscsi target - identifier contains '\n'
* Wed Apr 05 2006 - mzugec@suse.cz
- fixed #157648 - when modify target, can edit LUN
* Wed Apr 05 2006 - mzugec@suse.cz
- fixed #163299 - Iscsi->iSCSI
* Wed Apr 05 2006 - mzugec@suse.cz
- fixed #158546 cannot set the same user/pass fot incoming and outgoing auth
* Thu Mar 23 2006 - mzugec@suse.cz
- fixed #160315 - check if user is root
* Tue Mar 21 2006 - mzugec@suse.cz
- changed group to Net_advanced
* Fri Mar 17 2006 - mzugec@suse.cz
- fixed #158540 - hide passwords
* Thu Mar 16 2006 - mzugec@suse.cz
- fixed #158538 - write before restart server
* Tue Mar 14 2006 - mzugec@suse.cz
- fixed #157645 LUN counting starts from zero
* Tue Mar 14 2006 - mzugec@suse.cz
- fixed #157653 - use UUID with iqn
* Mon Mar 06 2006 - mzugec@suse.cz
- #155273 - IscsiServer -> Iscsi Target
* Fri Feb 24 2006 - mzugec@suse.cz
- fixed #152916 - immediately write configuration in Write()
* Tue Feb 21 2006 - mzugec@suse.cz
- workarround for #148968 - warning before restart server, proofread
* Fri Feb 17 2006 - mzugec@suse.cz
- fixed #149050 - enable/disable firewall
* Wed Feb 15 2006 - mzugec@suse.cz
- improved #148971 - remove \n
* Tue Feb 14 2006 - mzugec@suse.cz
- fixed #148971 - offer iqn
* Thu Feb 09 2006 - mzugec@suse.cz
- fixed #149034 - service start
* Mon Feb 06 2006 - mvidner@suse.cz
- Authentication fix (mzugec)
- 2.13.4
* Tue Jan 31 2006 - mzugec@suse.cz
- new dialogs
* Mon Jan 23 2006 - mzugec@suse.cz
- fixed general params
* Mon Jan 16 2006 - mzugec@suse.cz
- changed specfile
* Mon Jan 16 2006 - mzugec@suse.cz
- without write, without modify
* Wed Jan 11 2006 - mzugec@suse.cz
- initial version
